//  tester
//
//  Copyright (c) 2005 Mike Willegal
//
//This program is free software; you can redistribute it and/or
//modify it under the terms of the GNU General Public License
//as published by the Free Software Foundation; either version 2
//of the License, or (at your option) any later version.
//
//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with this program; if not, write to the Free Software
//Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

import java.awt.*;
import java.awt.event.*;
import java.text.*;
import javax.swing.*;
import javax.swing.event.*;
import javax.swing.text.*;

class TimeControls extends ConfigControls implements FocusListener, ActionListener {


//JLabel off_title, on_title, calibrate_title;

TimeControls (tester parent)
{
    super(parent);
}

public void newdata_row (int speed)
{
    if (calibrate) {
            recorded_exposure_left[speed].setValue(new Float(1000/(rec_exposure_left[speed]+effect+adjustment)));
            recorded_exposure_right[speed].setValue(new Float(1000/(rec_exposure_right[speed]-effect+adjustment)));
            recorded_speed_1st[speed].setValue(new Float(rec_speed_1st[speed]+effect));
            recorded_speed_2nd[speed].setValue(new Float(rec_speed_2nd[speed]-effect));
    } else {
	recorded_exposure_left[speed].setValue(new Float(1000/(rec_exposure_left[speed])));	
	recorded_exposure_right[speed].setValue(new Float(1000/(rec_exposure_right[speed])));
	recorded_speed_1st[speed].setValue(new Float(rec_speed_1st[speed]));
	recorded_speed_2nd[speed].setValue(new Float(rec_speed_2nd[speed]));
    }
}

void setnumberFormat1 ()
{
        numberFormat1 = NumberFormat.getNumberInstance();
        numberFormat1.setMaximumFractionDigits(0);

}


}