//  tester
//
//  Copyright (c) 2005 Mike Willegal
//
//This program is free software; you can redistribute it and/or
//modify it under the terms of the GNU General Public License
//as published by the Free Software Foundation; either version 2
//of the License, or (at your option) any later version.
//
//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with this program; if not, write to the Free Software
//Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

import java.awt.*;
import java.awt.event.*;
import java.text.*;
import javax.swing.*;
import javax.swing.event.*;
import javax.swing.text.*;

class ErrorControls extends ConfigControls implements FocusListener, ActionListener {


//JLabel off_title, on_title, calibrate_title;

ErrorControls (tester parent)
{
    super(parent);
}


public void newdata (byte error, boolean in_autospeed, float exposure_left, float exposure_right, float speed_1st, float speed_2nd)
{
	int i, speed;        
        if (in_autospeed && autospeed)
            speed = find_closest_speed((exposure_left+exposure_right)/2);
        else
            speed = currentspeed;

	if (error == 0) {
            rec_exposure_left[speed] = exposure_left/speed_values[speed];
            rec_exposure_right[speed] = exposure_right/speed_values[speed];
            rec_speed_1st[speed] = (speed_1st*2)/13.75f;
            rec_speed_2nd[speed] = (speed_2nd*2)/13.75f;
            newdata_row(speed);
        }
        
}


}